Skip to main content

Get Apple Place Card Override by ID

API Description

Get information about a specific Apple override. Supply the unique Apple-generated ID assigned to the Apple override, and the service will return the corresponding resource. If the Apple override has been contested by an API user, then contest details are also included.

Request

URI Parameters

NameInput
orgId
REQUIRED
resourceTypes
REQUIRED
resourceId
REQUIRED
overrideId
REQUIRED
Path Template
GET {url}/api/{version}/orgs/{orgId}/{resourceTypes}/{resourceId}/apple-overrides/{overrideId}
Path Example
GET {url}/api/v1/orgs/9467895078742654934/locations/9467895078742654921/apple-overrides/9467895078742654533

Request Headers

NameInput
Authorization
REQUIRED
Accept
OPTIONAL
Example Request Headers
Authorization: Bearer <access_token>
Accept: application/json

Request Body

None

Response

200 OK or Error

Response Headers

Name
apple-request-id
content-type
Example Response Headers
HTTP/1.1 200 OK
apple-request-id: 90e37155-2e8a-4584-b72f-e07d54e45c92
content-type: application/json

Response Body

NameTypeOutput
$.orgId
REQUIRED
${resourceId}
REQUIRED
$.overrideId
REQUIRED
$.createdDate
REQUIRED
$.overrideDetails
REQUIRED
overrideStatus
REQUIRED
$.contestDetails
OPTIONAL
Uncontested Apple Override
Example Response Body (raw JSON)
{
"orgId": "9467895078742654934",
"locationId": "9467895078742654921",
"overrideId": "9467895078742654533",
"createdDate": "2026-10-21T11:01:22.00Z",
"overrideDetails": {
"code": "APPLE_OVERRIDE__LOCATION_STATUS",
"message": "Place card will display different location status",
"fields": [
{
"field": "$.locationDetails.locationStatus",
"value": {
"locationStatus": [
{
"status": "OPEN"
}
]
}
}
]
},
"overrideStatus": "PENDING_USER_ACTION"
}
Contested Apple Override
Example Response Body (raw JSON)
{
"orgId": "9467895078742654934",
"locationId": "9467895078742654921",
"overrideId": "9467895078742654533",
"createdDate": "2026-10-22T17:22:19.00Z",
"overrideDetails": {
"code": "APPLE_OVERRIDE__LOCATION_NAME",
"message": "Place card will display different name for your location",
"fields": [
{
"field": "$.locationDetails.displayNames",
"value": {
"displayNames": [
{
"name": "Ben Hill Griffin Stadium",
"locale": "en",
"primary": true
}
]
}
}
]
},
"contestDetails": {
"value": {
"displayNames": [
{
"name": "Florida Field",
"locale": "en",
"primary": true
},
{
"name": "The Swamp",
"locale": "en",
"primary": false
}
]
},
"reason": "'Florida Field' is our preferred name for the venue. This is what should be shown on Apple Maps"
},
"overrideStatus": "SUBMITTED"
}